/*
 * @Author: jiangzaicheng jiangzaicheng_jzc@163.com
 * @Date: 2022-07-22 15:33:25
 * @LastEditors: jiangzaicheng jiangzaicheng_jzc@163.com
 * @LastEditTime: 2022-07-22 18:17:26
 * @FilePath: \mcep-h5\src\router\workbench.routing.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { propsConvert } from "@/services/props-convert";

const prefix = "/workbench";

const workbenchRoutes = [
  {
    path: `/PersonLod`,
    name: 'PersonLod',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/PersonLod.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "主页" },
  },
  {
    path: `/Accommodation`,
    name: 'Accommodation',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/Accommodation.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "贷款信息" },
  },
  {
    path: `/CooperationBusiness`,
    name: 'CooperationBusiness',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/CooperationBusiness.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "合作企业" },
  },
  {
    path: `/ExchangeRecord`,
    name: 'ExchangeRecord',
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/workbench/ExchangeRecord.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "兑换记录" },
  },
];
export default workbenchRoutes;
